% Generated by roxygen2 (4.0.1): do not edit by hand
\name{getTargetsFromSource}
\alias{getTargetsFromSource}
\title{Get target list from a single source}
\usage{
getTargetsFromSource(mirna, species = "mmu", source = "diana")
}
\arguments{
\item{mirna}{miRNA in a standard format}

\item{source}{a list of sources to use for aggregation, default 'diana'}

\item{species}{species in a standard three-letter acronym, default 'mmu'}
}
\value{
a data.frame object with entrez IDs of target genes and their scores
}
\description{
Get target list from a single source
}
\details{
This function queries precompiled annotation SQLite database
which contains miRNA - target gene associations with their respective scores.
}
\examples{
targets <- getTargetsFromSource('let-7a', species='hsa', source='targetscan')
head(targets) #top of the list for TargetScan only
}
\author{
Maciej Pajak \email{m.pajak@sms.ed.ac.uk}
}
\references{
Friedman, R. C., Farh, K. K.-H., Burge, C. B., and Bartel, D. P. (2009).
Most mammalian mRNAs are conserved targets of microRNAs. Genome research,
19(1):92-105.

Griffiths-Jones, S., Saini, H. K., van Dongen, S., and Enright, A. J.
(2008). miRBase: tools for microRNA genomics. Nucleic acids research,
36(Database issue):D154-8.

Lall, S., Grun, D., Krek, A., Chen, K., Wang, Y.-L., Dewey, C. N., ...
Rajewsky, N. (2006). A genome-wide map of conserved microRNA targets in
C. elegans. Current biology : CB, 16(5):460-71.

Maragkakis, M., Vergoulis, T., Alexiou, P., Reczko, M., Plomaritou, K.,
Gousis, M., ... Hatzigeorgiou, A. G. (2011). DIANA-microT Web server
upgrade supports Fly and Worm miRNA target prediction and bibliographic
miRNA to disease association. Nucleic Acids Research, 39(Web Server issue),
W145-8.
}

